; ------------------------------------------------------------------------------------------------------------------------
; --------------- OPSI LEXING --------------------------------------------------------------------------------------------
; ------------------------------------------------------------------------------------------------------------------------

;Autoit Language defintions
Global $file_types = "Scripts (*.au3)"

; ------------------------------------------------------------------------------------------------------------------------
; --------------- LANGUAGE PARAMS ----------------------------------------------------------------------------------------
; ------------------------------------------------------------------------------------------------------------------------

; prepare keywords
Global $keywords = 'and byref case const continuecase continueloop default dim do else elseif endfunc endif endselect endswitch endwith enum exit exitloop false for func global if in local next not or redim return select step switch then to true until wend while with'
Global $fuwords[2] = [ _
	'abs acos adlibdisable adlibenable asc asin assign atan autoitsetoption autoitwingettitle autoitwinsettitle beep binarystring bitand bitnot bitor bitrotate bitshift bitxor blockinput break call cdtray ceiling chr clipget clipput consoleread consolewrite consolewriteerror controlclick controlcommand controldisable controlenable controlfocus controlgetfocus controlgethandle controlgetpos controlgettext controlhide controllistview controlmove controlsend controlsettext controlshow cos dec dircopy dircreate dirgetsize dirmove dirremove dllcall dllclose dllopen dllstructcreate dllstructgetdata dllstructgetptr dllstructgetsize dllstructsetdata drivegetdrive drivegetfilesystem drivegetlabel drivegetserial drivegettype drivemapadd drivemapdel drivemapget drivesetlabel drivespacefree drivespacetotal drivestatus envget envset envupdate eval execute exp filechangedir fileclose filecopy filecreatentfslink filecreateshortcut filedelete fileexists filefindfirstfile filefindnextfile filegetattrib filegetlongname filegetshortcut filegetshortname filegetsize filegettime filegetversion fileinstall filemove fileopen fileopendialog fileread filereadline filerecycle filerecycleempty filesavedialog fileselectfolder filesetattrib filesettime filewrite filewriteline floor ftpsetproxy guicreate guictrlcreateavi guictrlcreatebutton guictrlcreatecheckbox guictrlcreatecombo guictrlcreatecontextmenu guictrlcreatedate guictrlcreatedummy guictrlcreateedit guictrlcreategraphic guictrlcreategroup guictrlcreateicon guictrlcreateinput guictrlcreatelabel guictrlcreatelist guictrlcreatelistview guictrlcreatelistviewitem guictrlcreatemenu guictrlcreatemenuitem guictrlcreatemonthcal guictrlcreateobj guictrlcreatepic guictrlcreateprogress guictrlcreateradio guictrlcreateslider guictrlcreatetab guictrlcreatetabitem guictrlcreatetreeview guictrlcreatetreeviewitem guictrlcreateupdown guictrldelete guictrlgethandle guictrlgetstate guictrlread guictrlrecvmsg guictrlregisterlistviewsort guictrlsendmsg guictrlsendtodummy guictrlsetbkcolor guictrlsetcolor guictrlsetcursor guictrlsetdata guictrlsetfont guictrlsetgraphic guictrlsetimage guictrlsetlimit guictrlsetonevent guictrlsetpos guictrlsetresizing guictrlsetstate guictrlsetstyle guictrlsettip guidelete guigetcursorinfo guigetmsg guiregistermsg guisetbkcolor guisetcoord guisetcursor guisetfont guisethelp guiseticon guisetonevent guisetstate guistartgroup guiswitch hex hotkeyset httpsetproxy hwnd inetget inetgetsize inidelete iniread inireadsection inireadsectionnames inirenamesection iniwrite iniwritesection inputbox int isadmin isarray isbinarystring isbool isdeclared isdllstruct isfloat ishwnd isint iskeyword isnumber isobj isstring log memgetstats mod mouseclick mouseclickdrag mousedown mousegetcursor mousegetpos mousemove mouseup mousewheel msgbox number objcreate objevent objevent objget objname opt ping pixelchecksum pixelgetcolor pixelsearch pluginclose pluginopen processclose processexists processlist processsetpriority processwait processwaitclose progressoff progresson progressset random regdelete regenumkey regenumval regread regwrite round run runasset runwait send seterror setextended shellexecute shellexecutewait shutdown sin sleep soundplay soundsetwavevolume splashimageon splashoff splashtexton sqrt srandom statusbargettext stderrread stdinwrite stdoutread string stringaddcr stringformat stringinstr stringisalnum stringisalpha stringisascii stringisdigit stringisfloat stringisint stringislower stringisspace stringisupper stringisxdigit stringleft stringlen stringlower stringmid stringregexp stringregexpreplace stringreplace stringright stringsplit stringstripcr stringstripws stringtrimleft stringtrimright stringupper tan tcpaccept tcpclosesocket tcpconnect tcplisten tcpnametoip tcprecv tcpsend tcpshutdown tcpstartup timerdiff timerinit tooltip', _
	'traycreateitem traycreatemenu traygetmsg trayitemdelete trayitemgethandle trayitemgetstate trayitemgettext trayitemsetonevent trayitemsetstate trayitemsettext traysetclick trayseticon traysetonevent traysetpauseicon traysetstate traysettooltip traytip ubound udpbind udpclosesocket udpopen udprecv udpsend udpshutdown udpstartup winactivate winactive winclose winexists winflash wingetcaretpos wingetclasslist wingetclientsize wingethandle wingetpos wingetprocess wingetstate wingettext wingettitle winkill winlist winmenuselectitem winminimizeall winminimizeallundo winmove winsetontop winsetstate winsettitle winsettrans winwait winwaitactive winwaitclose winwaitnotactive' _
	]
Global $reswords[3] = [ _
	'_arrayadd _arraybinarysearch _arraycreate _arraydelete _arraydisplay _arrayinsert _arraymax _arraymaxindex _arraymin _arrayminindex _arraypop _arraypush _arrayreverse _arraysearch _arraysort _arrayswap _arraytoclip _arraytostring _arraytrim _colorgetblue _colorgetgreen _colorgetred _dateadd _datedayofweek _datedaysinmonth _datediff _dateisleapyear _dateisvalid _datetimeformat _datetimesplit _datetodayofweek _datetodayofweekiso _datetodayvalue _dayvaluetodate _now _nowcalc _nowcalcdate _nowdate _nowtime _setdate _settime _tickstotime _timetoticks _weeknumberiso _filecountlines _filecreate _filelisttoarray _fileprint _filereadtoarray _filewritefromarray _filewritelog _filewritetoline _pathfull _pathmake _pathsplit _replacestringinfile _tempfile _guictrlcomboadddir _guictrlcomboaddstring _guictrlcomboautocomplete _guictrlcombodeletestring _guictrlcombofindstring _guictrlcombogetcount _guictrlcombogetcursel _guictrlcombogetdroppedcontrolrect _guictrlcombogetdroppedstate _guictrlcombogetdroppedwidth _guictrlcombogeteditsel _guictrlcombogetextendedui _guictrlcombogethorizontalextent _guictrlcombogetitemheight _guictrlcombogetlbtext _guictrlcombogetlbtextlen _guictrlcombogetlist _guictrlcombogetlocale _guictrlcombogetminvisible _guictrlcombogettopindex _guictrlcomboinitstorage _guictrlcomboinsertstring _guictrlcombolimittext _guictrlcomboresetcontent _guictrlcomboselectstring _guictrlcombosetcursel _guictrlcombosetdroppedwidth _guictrlcomboseteditsel _guictrlcombosetextendedui _guictrlcombosethorizontalextent _guictrlcombosetitemheight _guictrlcombosetminvisible _guictrlcombosettopindex _guictrlcomboshowdropdown _guictrleditcanundo _guictrleditemptyundobuffer _guictrleditfind _guictrleditgetfirstvisibleline _guictrleditgetline _guictrleditgetlinecount _guictrleditgetmodify _guictrleditgetrect _guictrleditgetsel _guictrleditlinefromchar _guictrleditlineindex _guictrleditlinelength _guictrleditlinescroll _guictrleditreplacesel _guictrleditscroll _guictrleditsetmodify _guictrleditsetrect _guictrleditsetsel _guictrleditundo _guictrlipaddressclear _guictrlipaddresscreate _guictrlipaddressdelete _guictrlipaddressget _guictrlipaddressisblank _guictrlipaddressset _guictrlipaddresssetfocus _guictrlipaddresssetfont _guictrlipaddresssetrange _guictrlipaddressshowhide _guictrllistadddir _guictrllistadditem _guictrllistclear _guictrllistcount _guictrllistdeleteitem _guictrllistfindstring _guictrllistgetanchorindex _guictrllistgetcaretindex _guictrllistgethorizontalextent _guictrllistgetinfo _guictrllistgetitemrect _guictrllistgetlocale _guictrllistgetselcount _guictrllistgetselitems _guictrllistgetselitemstext _guictrllistgetselstate _guictrllistgettext _guictrllistgettextlen _guictrllistgettopindex _guictrllistinsertitem _guictrllistreplacestring _guictrllistselectedindex _guictrllistselectindex _guictrllistselectstring _guictrllistselitemrange _guictrllistselitemrangeex _guictrllistsetanchorindex _guictrllistsetcaretindex _guictrllistsethorizontalextent _guictrllistsetlocale _guictrllistsetsel _guictrllistsettopindex _guictrllistsort _guictrllistswapstring _guictrllistviewcopyitems _guictrllistviewdeleteallitems _guictrllistviewdeletecolumn _guictrllistviewdeleteitem _guictrllistviewdeleteitemsselected _guictrllistviewensurevisible _guictrllistviewfinditem _guictrllistviewgetbackcolor _guictrllistviewgetcallbackmask _guictrllistviewgetcheckedstate _guictrllistviewgetcolumnorder _guictrllistviewgetcolumnwidth _guictrllistviewgetcounterpage _guictrllistviewgetcursel _guictrllistviewgetextendedlistviewstyle _guictrllistviewgetheader _guictrllistviewgethotcursor _guictrllistviewgethotitem _guictrllistviewgethovertime _guictrllistviewgetitemcount _guictrllistviewgetitemtext _guictrllistviewgetitemtextarray _guictrllistviewgetnextitem _guictrllistviewgetselectedcount _guictrllistviewgetselectedindices _guictrllistviewgetsubitemscount _guictrllistviewgettopindex _guictrllistviewgetunicodeformat _guictrllistviewhidecolumn _guictrllistviewinsertcolumn', _
	'_guictrllistviewinsertitem _guictrllistviewjustifycolumn _guictrllistviewscroll _guictrllistviewsetcheckstate _guictrllistviewsetcolumnheadertext _guictrllistviewsetcolumnorder _guictrllistviewsetcolumnwidth _guictrllistviewsethotitem _guictrllistviewsethovertime _guictrllistviewsetitemcount _guictrllistviewsetitemselstate _guictrllistviewsetitemtext _guictrllistviewsort _guictrlmonthcalget1stdow _guictrlmonthcalgetcolor _guictrlmonthcalgetdelta _guictrlmonthcalgetmaxselcount _guictrlmonthcalgetmaxtodaywidth _guictrlmonthcalgetminreqrect _guictrlmonthcalset1stdow _guictrlmonthcalsetcolor _guictrlmonthcalsetdelta _guictrlmonthcalsetmaxselcount _guictrlslidercleartics _guictrlslidergetlinesize _guictrlslidergetnumtics _guictrlslidergetpagesize _guictrlslidergetpos _guictrlslidergetrangemax _guictrlslidergetrangemin _guictrlslidersetlinesize _guictrlslidersetpagesize _guictrlslidersetpos _guictrlslidersetticfreq _guictrlstatusbarcreate _guictrlstatusbarcreateprogress _guictrlstatusbardelete _guictrlstatusbargetborders _guictrlstatusbargeticon _guictrlstatusbargetparts _guictrlstatusbargetrect _guictrlstatusbargettext _guictrlstatusbargettextlength _guictrlstatusbargettip _guictrlstatusbargetunicode _guictrlstatusbarissimple _guictrlstatusbarresize _guictrlstatusbarsetbkcolor _guictrlstatusbarseticon _guictrlstatusbarsetminheight _guictrlstatusbarsetparts _guictrlstatusbarsetsimple _guictrlstatusbarsettext _guictrlstatusbarsettip _guictrlstatusbarsetunicode _guictrlstatusbarshowhide _guictrltabdeleteallitems _guictrltabdeleteitem _guictrltabdeselectall _guictrltabgetcurfocus _guictrltabgetcursel _guictrltabgetextendedstyle _guictrltabgetitemcount _guictrltabgetitemrect _guictrltabgetrowcount _guictrltabgetunicodeformat _guictrltabhighlightitem _guictrltabsetcurfocus _guictrltabsetcursel _guictrltabsetmintabwidth _guictrltabsetunicodeformat _guictrltreeviewdeleteallitems _guictrltreeviewdeleteitem _guictrltreeviewexpand _guictrltreeviewgetbkcolor _guictrltreeviewgetcount _guictrltreeviewgetindent _guictrltreeviewgetlinecolor _guictrltreeviewgetparenthandle _guictrltreeviewgetparentid _guictrltreeviewgetstate _guictrltreeviewgettext _guictrltreeviewgettextcolor _guictrltreeviewgettree _guictrltreeviewinsertitem _guictrltreeviewsetbkcolor _guictrltreeviewseticon _guictrltreeviewsetindent _guictrltreeviewsetlinecolor _guictrltreeviewsetstate _guictrltreeviewsettext _guictrltreeviewsettextcolor _guictrltreeviewsort _ie_example _ie_introduction _ie_versioninfo _ieaction _ieattach _iebodyreadhtml _iebodyreadtext _iebodywritehtml _iecreate _iecreateembedded _iedocgetobj _iedocinserthtml _iedocinserttext _iedocreadhtml _iedocwritehtml _ieerrorhandlerderegister _ieerrorhandlerregister _ieerrornotify _ieformelementcheckboxselect _ieformelementgetcollection _ieformelementgetobjbyname _ieformelementgetvalue _ieformelementoptionselect _ieformelementradioselect _ieformelementsetvalue _ieformgetcollection _ieformgetobjbyname _ieformimageclick _ieformreset _ieformsubmit _ieframegetcollection _ieframegetobjbyname _iegetobjbyname _ieheadinserteventscript _ieimgclick _ieimggetcollection _ieisframeset _ielinkclickbyindex _ielinkclickbytext _ielinkgetcollection _ieloadwait _ieloadwaittimeout _ienavigate _iepropertyget _iepropertyset _iequit _ietablegetcollection _ietablewritetoarray _ietagnameallgetcollection _ietagnamegetcollection _getip _inetexplorercapable _inetgetsource _inetmail _inetsmtpmail _tcpiptoname _degree _mathcheckdiv _max _min _radian _choosecolor _choosefont _clipputfile _iif _ispressed _mousetrap _singleton _processgetname _processgetpriority _rundos _sendmessage _soundclose _soundlength _soundopen _soundpause _soundplay _soundpos _soundresume _soundseek _soundstatus _soundstop _sqlite_changes _sqlite_close _sqlite_display2dresult _sqlite_encode _sqlite_errcode _sqlite_errmsg _sqlite_escape _sqlite_exec _sqlite_fetchdata _sqlite_fetchnames _sqlite_gettable _sqlite_gettable2d _sqlite_lastinsertrowid _sqlite_libversion _sqlite_open _sqlite_query', _
	'_sqlite_queryfinalize _sqlite_queryreset _sqlite_querysinglerow _sqlite_savemode _sqlite_settimeout _sqlite_shutdown _sqlite_sqliteexe _sqlite_startup _sqlite_totalchanges _hextostring _stringaddcomma _stringbetween _stringencrypt _stringinsert _stringproper _stringrepeat _stringreverse _stringtohex _viclose _viexeccommand _vifindgpib _vigpibbusreset _vigtl _viopen _visetattribute _visettimeout' _
	]
Global $constwords = '{!} {{} {}} {#} {^} {+} {alt} {altdown} {altup} {appskey} {asc} {backspace} {browser_back} {browser_favorites} {browser_forward} {browser_home} {browser_refresh} {browser_search} {browser_stop} {bs} {capslock} {ctrlbreak} {ctrldown} {ctrlup} {del} {delete} {down} {end} {enter} {esc} {escape} {f1} {f10} {f11} {f12} {f2} {f3} {f4} {f5} {f6} {f7} {f8} {f9} {home} {ins} {insert} {lalt} {launch_app1} {launch_app2} {launch_mail} {launch_media} {lctrl} {left} {lshift} {lwin} {lwindown} {lwinup} {media_next} {media_play_pause} {media_prev} {media_stop} {numlock} {numpad0} {numpad1} {numpad2} {numpad3} {numpad4} {numpad5} {numpad6} {numpad7} {numpad8} {numpad9} {numpadadd} {numpaddiv} {numpaddot} {numpadenter} {numpadmult} {numpadsub} {pause} {pgdn} {pgup} {printscreen} {ralt} {rctrl} {right} {rshift} {rwin} {rwindown} {rwinup} {scrolllock} {shiftdown} {shiftup} {sleep} {space} {tab} {up} {volume_down} {volume_mute} {volume_up}'
Global $additional_1 = '#AutoIt3Wrapper_UseX64 #AutoIt3Wrapper_Version #AutoIt3Wrapper_Run_Debug_Mode #AutoIt3Wrapper_Run_SciTE_Minimized #AutoIt3Wrapper_Run_SciTE_OutputPane_Minimized #AutoIt3Wrapper_Autoit3Dir #AutoIt3Wrapper_Aut2exe #AutoIt3Wrapper_AutoIt3 #AutoIt3Wrapper_Icon #AutoIt3Wrapper_OutFile #AutoIt3Wrapper_OutFile_Type #AutoIt3Wrapper_OutFile_X64 #AutoIt3Wrapper_Compression #AutoIt3Wrapper_UseUpx #AutoIt3Wrapper_UPX_Parameters #AutoIt3Wrapper_Change2CUI #AutoIt3Wrapper_Compile_both #AutoIt3Wrapper_Res_Comment #AutoIt3Wrapper_Res_Description #AutoIt3Wrapper_Res_Fileversion #AutoIt3Wrapper_Res_FileVersion_AutoIncrement #AutoIt3Wrapper_Res_ProductVersion #AutoIt3Wrapper_Res_Language #AutoIt3Wrapper_Res_LegalCopyright #AutoIt3Wrapper_res_requestedExecutionLevel #AutoIt3Wrapper_res_Compatibility #AutoIt3Wrapper_Res_SaveSource #AutoIt3Wrapper_Res_Field #AutoIt3Wrapper_Res_Icon_Add #AutoIt3Wrapper_Run_Tidy #AutoIt3Wrapper_Tidy_Stop_OnError #Tidy_Parameters #AutoIt3Wrapper_Run_Obfuscator #obfuscator_parameters #AutoIt3Wrapper_Run_AU3Check #AutoIt3Wrapper_AU3Check_Parameters #AutoIt3Wrapper_AU3Check_Stop_OnWarning #AutoIt3Wrapper_PlugIn_Funcs #AutoIt3Wrapper_Run_cvsWrapper #AutoIt3Wrapper_cvsWrapper_Parameters #AutoIt3Wrapper_Run_Before #AutoIt3Wrapper_Run_After #AutoIt3Wrapper_Add_Constants'
Global $additional_2 = '#region #endregion'
Global $syssections = '#include'
Global $blockcomments = '#cs #ce #comment-begin #comment-end' ; always paired like #comment-begin #comment-end, because they get added to $arFolding!!!!
Global $operator = '+ - * & ^ = < > , \ /'
Global $braces = '( ) [ ]' ; "normal" braces, no section marker
Global $charsforvariables = 'abcdefghijklmnopqrstuvwXYZABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_'
Global $specialleadingwordchars = '#' ; this will be added to standard Scintilla character set to support word finding, i. e. #region
; special control chars
Global $has_sections = False ; if you set this to false, $syssections will be a normal "special word" array, no check for $sect_open or $sect_close
Global $sect_open = '' ; open section character - you can set it to something else to mark other things
Global $sect_close = '' ; close section character - you can set it to something else to mark other things
Global $quot = Chr(34) ; quote char (Chr() is needed, as '"' doesn't work!!!)
Global $apostrophe = Chr(39) ; apostrophe char (Chr() is needed, as "'" doesn't work!!!)
Global $comment_single_line = ';' ; first char in a single line comment
Global $var_mark = "$" ; variable marker
Global $var_end_mark = "" ; variable end marker
Global $var_nested = False ; colourise nested vars in strings
Global $sysvar_mark = "@" ; system variable marker
Global $sysvar_end_mark = "" ; system variable end marker
Global $sysvar_nested = False ; colourise nested sysvars in strings
Global $constwords_mark = "{" ; constants marker
Global $constwords_end_mark = "}" ; constants end marker
Global $constwords_nested = True ; colourise nested constant words

; Array description $arFolding
; -> (0) react on keyword
; -> (1) with special eol condition (Optional),
; -> (2) change level depth for current
; -> (3) and next line by array value,
; -> (4) has corresponding opening/closing tags true/false
; positive/negative values for (2) and (3) increase/decrease the depth
; (4)=if there is no closing tag, expect as kind of main section, then don't increase currentLevel,
; but set currentLevel to fix array value

; a very special combination is (2) = -1 and (3) = 0 -> this marks a middle keyword in a structure like if...ELSE...endif
; if you recalculate folding with ELSE position as starting position, it decreases it's own structural position a second, third,... time
; because the reference to the preceeding if isn't given
; -> has to be cared for in foldIt specially

; folding configuration for autoit
Global $fold_lang_elements = 22
Global $include_commentline = True
Global $include_sections = False

; folding configuration for  la autoit
Global $arFoldingLang[$fold_lang_elements][5] = [ _
	["if","then",0,1,true], _
	["for","",0,1,true], _
	["do","",0,1,true], _
	["func","",0,1,true], _
	["while","",0,1,true], _
	["with","",0,1,true], _
	["#region","",0,1,true], _
	["select","",0,2,true], _
	["switch","",0,2,true], _
	["endfunc","",-1,-1,true], _
	["endif","",-1,-1,true], _
	["next","",-1,-1,true], _
	["until","",-1,-1,true], _
	["endwidth","",-1,-1,true], _
	["wend","",-1,-1,true], _
	["case","",-1,0,true], _
	["else","",-1,0,true], _
	["elseif","",-1,0,true], _
	["endselect","",-2,-2,true], _
	["endswitch","",-2,-2,true], _
	["#endregion","",-1,-1,true], _
	[$comment_single_line, "", 0, 1, False] _
	]

; ------------------------------------------------------------------------------------------------------------------------
; --------------- STYLER PARAMS ----------------------------------------------------------------------------------------
; ------------------------------------------------------------------------------------------------------------------------

; set startup defaults
Global $default_fold = False
Global $default_fold_compact = False
Global $default_fold_comment = False
Global $default_highlight = False

;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_KEYWORDS, 0xFF0000, -1, 1) ; keywords  (blue)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_SYSVARS, 0xBB00BB) ; system variables  (purple)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_OPERATORS, 0x0000FF) ; operators, etc.  (red)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_COMMENTLINE, 0x339900) ; skript line comment  (green)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_COMMENTBLOCK, 0x009966) ; skript block comment  (light green)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_TEXTINQUOTE, 0xCC9999) ; text in '' or ""  (gray)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_RESWORDS, 0xFF8000, -1, 1) ; reserved words (ligth blue)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_VARIABLES, 0x000090, -1, 1) ; variables  (dark red)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_FUNCTIONS, 0xAA0000, -1, 1, 1) ; functions  (dark blue italic)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_SECTIONS, 0xFF33FF, -1, 1, 1) ; sections (pink)
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_SYSSECTIONS, 0x0000FF, -1, 0, 1) ; sections
;Sci_StyleSet($hWnd_SciLexer, $SCE_STYLE_CONST, 0x0080FF, -1, 1, 1) ; special constants (orange)

#cs
			0x000000, _ ; Text color (BGR)!!!
			0xFFDDFF, _ ; Background color (BGR)!!!!
			1, _ ; Bold
			0, _ ; Italic
			0, _ ; Underline
			 - 1, _ ; Fontname
			 - 1, _ ; Fontsize
			0) ; Hotspot
#ce

Global $arStyle[18][8] = [ _
	[$STYLE_DEFAULT, 			0x000000, 0xFFFFFF, 0, 0, 0, "Courier New", 10], _ 	; DEFAULT STYLE <- has ALWAYS to be the first in array!
	[$SCE_STYLE_KEYWORDS, 		0xFF0000, -1,  1,  0, -1, -1, -1], _ 				; keywords
	[$SCE_STYLE_SYSVARS, 		0xFF33FF, -1,  1,  0, -1, -1, -1], _					; system variables
	[$SCE_STYLE_OPERATORS, 		0x0000FF, -1, -1, -1, -1, -1, -1], _				; operators, etc.
	[$SCE_STYLE_COMMENTLINE, 	0x339900, -1, -1, -1, -1, -1, -1], _				; skript comment
	[$SCE_STYLE_COMMENTBLOCK, 	0x009966, -1, -1, -1, -1, -1, -1], _			; skript block comment
	[$SCE_STYLE_TEXTINQUOTE, 	0xCC9999, -1, 1, -1, -1, -1, -1], _					; text in '' or ""
	[$SCE_STYLE_RESWORDS, 		0xFF8000, -1,  1,  1, -1, -1, -1], _				; reserved words
	[$SCE_STYLE_VARIABLES, 		0x000090, -1,  1,  0, -1, -1, -1], _				; variables
	[$SCE_STYLE_FUNCTIONS, 		0xAA0000, -1,  1,  1, -1, -1, -1], _				; functions
	[$SCE_STYLE_SECTIONS, 		0xFF33FF, -1,  1,  1, -1, -1, -1], _				; sections
	[$SCE_STYLE_SYSSECTIONS, 	0xFF00F0, -1,  0,  0, -1, -1, -1], _				; system sections
	[$SCE_STYLE_CONST, 			0x0080FF, -1,  1,  1, -1, -1, -1], _					; special constants
	[$SCE_STYLE_ADD1, 			0x0000DD, -1,  0,  0, -1, -1, -1], _					; additional 1
	[$SCE_STYLE_ADD2, 			0xF00FA0, -1,  0,  1, -1, -1, -1], _					; additional 2
	[$SCE_STYLE_NUMS, 			0xA900AC, -1,  1,  0, -1, -1, -1], _					; numbers
	[$STYLE_BRACELIGHT, 		0x00FF00, 0x8F8F8F, -1, -1, -1, -1, -1], _		; matching brace
	[$STYLE_BRACEBAD, 			0xFFFFFF, 0x0000FF, -1, -1, -1, -1, -1] _ 		; not matching
	]
