#include-once

Func GetClientRelativePos($hWnd)
	Local $hParent = _WinAPI_GetParent($hWnd)
	If($hParent = 0) Then
		Return SetError(1, 0, False)
	EndIf
	Local $parentPos = GetClientPos($hParent)
	Local $clientPos = GetClientPos($hWnd)
	Local $clientRelativePos[4] = [$clientPos[0]-$parentPos[0], $clientPos[1]-$parentPos[1], $clientPos[2], $clientPos[3]]
	Return $clientRelativePos
EndFunc

Func GetClientPos($hWnd)
	Local $Side = GetSideSize($hWnd)
	Local $wPos = WinGetPos($hWnd)
	Local $clientPos[4] = [$wPos[0]+$Side[0], $wPos[1]+$Side[1], $wPos[2]-$Side[0]*2, $wPos[3]-$Side[0]-$Side[1]]
	Return $clientPos
EndFunc

Func GetSideSize($hWnd, $dim = -1)
	Local $clientSize = WinGetClientSize($hWnd)
	Local $winSize = WinGetPos($hWnd)
	Local $size[2]
	$size[0] = Round(($winSize[2]-$clientSize[0])/2)
	$size[1] = $winSize[3]-$clientSize[1]-$size[0]
	Switch $dim
		Case 0
			$size = Round(($winSize[2]-$clientSize[0])/2)
		Case 1
			$size = $winSize[3]-$clientSize[1]-$size[0]
	EndSwitch
	Return $size
EndFunc

Func GetNormalWindowsSide($dim = -1)
	Local $Gui = WinGetHandle(AutoItWinGetTitle())
	Local $SideSize = GetSideSize($Gui, $dim)
	Return $SideSize
EndFunc