Rem Dieses Skript dient dazu mehrere Programme in Folge aufzurufen ohne ein hssliches
Rem Shell-Fenster angezeigt zu bekommmen, wie bei einem Batch-Skript.

Const OVERWRITE_EXISTING = True

REM -----------------------------------------------------------------------------------------------------------
REM ------------ anpassbare, installationsbezogene Parameter
REM -----------------------------------------------------------------------------------------------------------

uncpath = "\\yi7xa8eb\netlogon\Policy\{697FC305-5186-4569-BA3E-5A22E7B116C3}\Machine\Scripts\Startup\patches\"
installbase = "C:\temp\"
logpath = "C:\PIK\LOG\"
path_pia = "o2007pia.msi"
path_vstor = "vstor40_x86.exe"

Rem productVersion: aktuelle Versionsnummer
Rem path_opm_msi: MSI Paket der aktuellen Version
Rem path_opm_mst: Transform Datei fr aktuelle Installation

Rem productName(Old/New) + productVersion zur Prfung der Version bei vorhandener OPM Installation
Rem wenn neuere Version verfgbar, dann wird zuerst die alte deinstalliert und die neue installiert
Rem productName = DisplayName aus HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\
REM productVersion = DisplayVersion aus HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\
REM productName gibt es 2 mal, um unterschiedliche Namen abfangen zu knnen

productNameOld = "Office Process Manager"
productNameNew = "Office Process Manager V4.0.0 (Build 2.15b)"

path_opm_mst = "niederrhein_400_prod.mst"
REM path_opm_mst = "niederrhein_400_test.mst"

REM productVersion = "4.0.0 (Build 1.07)"
productVersion = "4.0.0 (Build 2.15b)"

REM path_opm_msi = "OPMExcel_400_107.msi"
path_opm_msi = "OPMExcel_400_215b.msi"

REM -----------------------------------------------------------------------------------------------------------
REM ----------------- ACHTUNG: ab hier nichts ndern -----------------------------------
REM -----------------------------------------------------------------------------------------------------------

Wscript.Echo "-----------------------------------------------------------------------------------"
Wscript.Echo "OPM v4 Pre-requesite Installer..."
Wscript.Echo ""

Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")
Set WshShell = WScript.CreateObject( "WScript.Shell" )
Set installer = Wscript.CreateObject("WindowsInstaller.Installer")

Rem Scriptkonstanten
const HKEY_CLASSES_ROOT = &H80000000
const HKEY_LOCAL_MACHINE = &H80000002
Set wshSystemEnv = WshShell.Environment( "SYSTEM" )
machine=wshSystemEnv("PCNAME")

Set oReg=GetObject("winmgmts:{impersonationLevel=impersonate}!\\.\root\default:StdRegProv")

Rem --------------------------------------------------------------------------------------------
Rem Office PIAs installieren
Rem 1.) Office installiert? -> CLSID\{000209FF-0000-0000-C000-000000000046}\ProgID
Rem 2.) PIA vielleicht schon drauf? -> HKLM\Software\Classes\Installer\Products\00002105501100000000000000F01FEC
Rem --------------------------------------------------------------------------------------------
Wscript.Echo "1.) Office PIA 2007 check und install...."

strKeyPath = "CLSID\{000209FF-0000-0000-C000-000000000046}\ProgID"
strValueName = ""
officeCheck = oReg.GetStringValue( HKEY_CLASSES_ROOT, strKeyPath, strValueName, sValueOffice )
Rem Office installiert?
If officeCheck=0 Then
   If sValueOffice="Word.Application.12" Then
		Wscript.Echo "-> Office 2007 found"
		strKeyPath = "Software\Classes\Installer\Products\00002105501100000000000000F01FEC"
		strValueName = "ProductName"
		piaCheck = oReg.GetStringValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, sValue )
		Rem PIA installiert?
		If piaCheck <> 0 Then
			Wscript.Echo "-> PIA not installed"
			Wscript.Echo "-> copying files..."
			objFSO.CopyFile uncpath & path_pia, installbase, OVERWRITE_EXISTING
			If Err.Number = 0 Then
				Wscript.Echo "-> Files copied successfully, starting PIA installer..."
				WshShell.Run "msiexec /qn /lvx* """ & logpath & machine & "_install_pia.log"" /i """ & installbase & path_pia & """",0,True
			Else
				Wscript.Echo "-> ! No files copied, could not install PIA!"
			End If    
		Else
			Wscript.Echo "-> PIA installed, no installation required"
		End If
	Else
		Wscript.echo "-> wrong MS Office version found. Cancel..."
		Wscript.quit(Result)
   End If
Else
	Wscript.echo "-> no MS Office installation found. Cancel..."
	Wscript.quit(Result)
End If

Rem --------------------------------------------------------------------------------------------
Rem Visual Studio Tools fr Office installieren
Rem --------------------------------------------------------------------------------------------
Wscript.Echo "2.) VSTO Runtime Setup check and install..."

If sValueOffice="Word.Application.12" Then
	Wscript.Echo "-> Office 2007 found"
	strKeyPath = "Software\Microsoft\vsto runtime Setup\v4"
	strValueName = "Install"
	vstoCheck = oReg.GetDWORDValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, dwValue )
	If vstoCheck <> 0 Then
		Wscript.Echo "-> VSTO Runtime not installed"
		Wscript.Echo "-> copying files..."
		objFSO.CopyFile uncpath & path_vstor, installbase, OVERWRITE_EXISTING
		If Err.Number = 0 Then
			Wscript.Echo "-> Files copied successfully, starting VSTO installer..."
REM			WshShell.Run """" & installbase & path_vstor & """ /q:a /c:""install /q /l""",0,True
			WshShell.Run """" & installbase & path_vstor & """ /q /norestart",0,True
		Else
			Wscript.Echo "-> ! No files copied, could not install VSTO!"
		End If
	Else
		Wscript.Echo "-> VSTO Runtime installed, no installation required"
	End If
End If

Rem --------------------------------------------------------------------------------------------
Rem OPM installieren
Rem --------------------------------------------------------------------------------------------
Wscript.Echo "3.) OPM v4 check and installation/update..."
Wscript.Echo "-> checking PIA and VSTO again..."
strKeyPath = "Software\Classes\Installer\Products\00002105501100000000000000F01FEC"
strValueName = "ProductName"
Rem Office PIA (nach)installiert?
piaCheck = oReg.GetStringValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, sValue )
strKeyPath = "Software\Microsoft\vsto runtime Setup\v4"
strValueName = "Install"
Rem VSTO (nach)installiert?
vstoCheck = oReg.GetDWORDValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, dwValue )
If sValueOffice="Word.Application.12" And piaCheck=0 And vstoCheck=0 Then
	Wscript.Echo "-> Office 2007, PIA and VSTO found"
	Rem OPM Installation nach ProductName suchen
	Rem hat den Vorteil, direkt den ProduktCode fr die Deinstallation zu erhalten, falls ntig
	For Each productCode In installer.Products
		REM Wscript.echo "-> searching installed products..."
		REM wscript.echo "-> product found: " & installer.ProductInfo(productCode, "ProductName") & " (comparing to " & productNameOld & "/" & productNameNew & ")"
		If InStr(1, LCase(installer.ProductInfo(productCode, "ProductName")), LCase(productNameOld)) Or _
			InStr(1, LCase(installer.ProductInfo(productCode, "ProductName")), LCase(productNameNew)) Then Exit For
	Next
	If IsEmpty(productCode) Then
		Rem OPM noch nicht installiert
		opmCheck = 1
		Wscript.Echo "-> OPM v4 not installed or ProductCode not found..."
	Else
		Rem OPM bereits installiert, dann noch direkt Version holen
		opmCheck = 0
		Wscript.Echo "-> OPM v4 installed already"
		Wscript.Echo "-> current ProductCode: " & productCode
		Wscript.Echo "-> checking product version..."
		strKeyPath = "Software\Microsoft\Windows\CurrentVersion\Uninstall\" & productCode
		strValueName = "DisplayVersion"
		opmVersionCheck = oReg.GetStringValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, sVersionValue )
		If opmVersionCheck <> 0 then
			Wscript.echo "Error checking installed product version..."
			Wscript.echo "Could not get version number! Cancel installation/update..."
			Wscript.Quit(Result)
		Else
			Wscript.echo "-> installed product version: " & sVersionValue
		End if
	End If

	Rem strKeyPath = "Software\Classes\Installer\Products\F4B6012AFE1899B4AAD1CD48965621A6"
	Rem strValueName = "ProductName"
	Rem opmCheck = oReg.GetStringValue( HKEY_LOCAL_MACHINE, strKeyPath, strValueName, sValue )

	Rem eigentliches Handling der Installation / Update

	Rem OPM noch nicht installiert...
	If opmCheck <> 0 Then
		Wscript.Echo "-> copying files..."
		objFSO.CopyFile uncpath & path_opm_msi, installbase, OVERWRITE_EXISTING
		If Err.Number = 0 Then
			objFSO.CopyFile uncpath & path_opm_mst, installbase, OVERWRITE_EXISTING
			If Err.Number = 0 Then
				Wscript.Echo "-> Files copied successfully, starting OPM installer..."
				intReturn = WshShell.Run("msiexec.exe /i """ & installbase & path_opm_msi & """ TRANSFORMS=""" & installbase & path_opm_mst & """ /qb /log """ & logpath & machine & "_install_opm.log""",0,True)
				If intReturn <> 0 Then
					Wscript.echo "-> MSIEXEC error: " & intReturn & ", first time installation could not complete. Cancel..."
					Wscript.Quit(Result)
				Else
					Wscript.Echo "-> MSIEXEC: installation successfully!"
				End If 
			Else
				Wscript.Echo "-> ! MST not copied correctly, could not install OPM!"
			End If
		Else
			Wscript.Echo "-> ! MSI not copied correctly, could not install OPM!"
		End If
	Else
		Wscript.Echo "-> checking version requirements..."
		If sVersionValue = productVersion then
			Wscript.echo "-> newest product version installed, no update required."
		Else
			Wscript.echo "-> wanted product version: " & productVersion
			Wscript.echo "-> uninstalling existing version..."
			intReturn = WshShell.Run("msiexec.exe /norestart /quiet /x " & productCode & " /l*v """ & logpath & machine & "_uninstall_opm.log"" ",0,True)
			If intReturn = 0 then
				Wscript.echo "-> old version successfully uninstalled, now installing actual version..."
				Wscript.Echo "-> copying files..."
				objFSO.CopyFile uncpath & path_opm_msi, installbase, OVERWRITE_EXISTING
				If Err.Number = 0 Then
					objFSO.CopyFile uncpath & path_opm_mst, installbase, OVERWRITE_EXISTING
					If Err.Number = 0 Then
						Wscript.Echo "-> Files copied successfully, starting OPM installer..."
						intReturn = WshShell.Run("msiexec.exe /i """ & installbase & path_opm_msi & """ TRANSFORMS=""" & installbase & path_opm_mst & """ /qb /log """ & logpath & machine & "_install_opm.log""",0,True)
						If intReturn <> 0 Then
							Wscript.echo "-> MSIEXEC error: " & intReturn & ", update installation could not complete. Cancel..."
							Wscript.Quit(Result)
						Else
							Wscript.Echo "-> MSIEXEC: installation successfully!"
						End If 
					Else
						Wscript.Echo "-> ! MST not copied correctly, could not install OPM!"
					End If
				Else
					Wscript.Echo "-> ! MSI not copied correctly, could not install OPM!"
				End If
			Else
				Wscript.echo "-> MSIEXEC error: " & intReturn & ", uninstall could not complete. Cancel..."
				Wscript.Quit(Result)
			End if
		End if
	End If
Else
	If piaCheck <> 0 Then
		Wscript.echo "-> PIA installation could not be checked successfully. Cancel..."
	End If
	If vstoCheck <> 0 Then
		Wscript.echo "-> VSTO installation could not be checked successfully. Cancel..."
	End If
End If

Set wshSystemEnv = Nothing

Wscript.Echo ""
Wscript.Echo "OPM v4 Pre-requesite Installer... Ending!"
Wscript.Echo "-----------------------------------------------------------------------------------"

WScript.Quit(Result)
